#include "wektor.h"
#include "wyjatki.h"
#include <iostream>
#include <cstdlib>
#include <algorithm>

using namespace std;

int main()
{
   int ile_dodac = 22;
   
   Wektor<int> liczby;
   cout << "Tworze pusty wektor" << endl;
   cout << "Rozmiar " << liczby.Rozmiar() << " elementow " << liczby.IleElementow() << endl;

   cout << "\nTworze pusty wektor o  rozmiarze 100" << endl;
   Wektor<double> liczby2(100);
   cout << "Rozmiar " << liczby2.Rozmiar() << " elementow " << liczby2.IleElementow() << endl;

   cout << "\nDodaje " << ile_dodac <<  " liczb do wektora" << endl;
   for(int i=0;i<ile_dodac;i++)
   {
      liczby.Dodaj(i);
      cout << "Wektor= ";
      for(int j=0;j<liczby.IleElementow();j++) cout << liczby[j] << " ";
      cout << endl;
      cout << "Rozmiar " << liczby.Rozmiar() << " elementow " << liczby.IleElementow() << endl;
   }


   cout << "\nUsuwam wszystko z wektora" << endl;
   while(liczby.IleElementow()>0)
   {
      liczby.Usun();
      cout << "Wektor= ";
      for(int j=0;j<liczby.IleElementow();j++) cout << liczby[j] << " ";
      cout << endl;
      cout << "Rozmiar " << liczby.Rozmiar() << " elementow " << liczby.IleElementow() << endl;

   }


   /* Losowanie Lotto */

   liczby.Wyczysc();

   for(int i=1;i<=49;i++) liczby.Dodaj(i);

   cout << "Zawartosc komory losujacej\n";
   Wektor<int>::iterator it;
   for(it=liczby.begin();it!=liczby .end();it++) cout << *it << " ";
   cout << endl;

   srand(time(NULL));

   cout << "Random shuffle (losowanie numerow lotto)\n";
   random_shuffle(liczby.begin(),liczby.end());
   for(it=liczby.begin();it!=liczby.begin()+6;it++) cout << *it << " ";
   cout << endl;

   return 0;
}
